%define builtin_release_version 6 
%define builtin_release_variant "9"
%define builtin_release_upd 9 
%define full_release_version %{builtin_release_version}.%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define cpe_name cpe:/o:oracle:linux:%{builtin_release_version}:%{builtin_release_upd}:server
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Oracle Linux 6 release file
Name: oraclelinux-release
Version: 6Server
Release: 9.0.4
Epoch: 6
License: GPL
Group: System Environment/Base
Source: oraclelinux-release-%{version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat fedora-release
Obsoletes: tao-release whitebox-release oracle-release
Obsoletes: redhat-release-client redhat-release-computenode redhat-release-webserver redhat-release-workstation
Obsoletes: anaconda-product
buildrequires: python
Requires: redhat-release-server

BuildRoot: %{_tmppath}/redhat-release-root

%description
System release and information files

%prep
%setup -q -n oraclelinux-release-%{version}

%build 
echo OK 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "Oracle Linux Server release %{full_release_version}" > $RPM_BUILD_ROOT/etc/oracle-release
ln -s oracle-release $RPM_BUILD_ROOT/etc/system-release
echo "Red Hat Enterprise Linux Server release %{full_release_version} (Santiago)" > $RPM_BUILD_ROOT/etc/redhat-release

# create /etc/os-release
cat << EOF >>$RPM_BUILD_ROOT/etc/os-release
NAME="Oracle Linux Server" 
VERSION="6.9" 
ID="ol" 
VERSION_ID="6.9" 
PRETTY_NAME="Oracle Linux Server 6.9" 
ANSI_COLOR="0;31" 
CPE_NAME="%{cpe_name}"
HOME_URL="https://linux.oracle.com/" 
BUG_REPORT_URL="https://bugzilla.oracle.com/" 

ORACLE_BUGZILLA_PRODUCT="Oracle Linux 6" 
ORACLE_BUGZILLA_PRODUCT_VERSION=6.9 
ORACLE_SUPPORT_PRODUCT="Oracle Linux" 
ORACLE_SUPPORT_PRODUCT_VERSION=6.9
EOF

# write cpe to /etc/system/release-cpe
echo "%{cpe_name}" > $RPM_BUILD_ROOT/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
cp $RPM_BUILD_ROOT/etc/oracle-release $RPM_BUILD_ROOT/etc/issue
%ifarch %{sparc}
 echo "Kernel \r on a \m" >> $RPM_BUILD_ROOT/etc/issue
%else
 echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
%endif
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

#mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
#for file in *.repo; do
#  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
#done

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

# set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%rhel 6
%%dist .el6
%%el6 1
%%oraclelinux 6
%%ol6 1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%attr(0644,root,root) /etc/oracle-release
/etc/system-release
/etc/os-release
#%doc R*
%doc EULA GPL enterprisedocs-man.css autorun-template 
%dir /etc/sysconfig/rhn
%config %attr(0644,root,root) /etc/system-release-cpe 
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/eula/eula.*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
/etc/rpm/macros.dist
#/etc/yum.repos.d/*

%changelog
* Mon Mar 27 2017 Jacob Wang <jacob.wang@oracle.com> - 6-9.0.4
- Update for 6.9 GA (srinivas.maturi@oracle.com)

* Mon Feb 20 2017 Jacob Wang <jacob.wang@oracle.com> - 6-9.0.2
- grammer 'a sparc64' not 'an sparc64'. Left so that intel is still
  seen as 'an i686' (philip.copeland@oracle.com)

* Tue Jan 10 2017 Jacob Wang <jacob.wang@oracle.com> - 6-9.0.1
- Updated for 6.9 Beta
- Update contents of /etc/os-release

* Wed May 11 2016 Livy Ge <livy.ge@oracle.com> - 6-8.0.3
- Update for 6.8 GA

* Wed Apr  6 2016 Kevin Lyons <kevin.x.lyons@oracle.com> - 6-8.0.2
- Update contents of /etc/os-release [bug 23038467]

* Wed Mar 30 2016 Livy Ge <livy.ge@oracle.com> - 6-8.0.1
- Update for 6.8 Beta

* Fri Sep 18 2015 Natalya Naumova <natalya.naumova@oracle.com> - 6-7.0.6
- Update cpe name adding server edition (Ilya Okomin) [21450461]

* Fri Jul 24 2015 Jingdong Lu <jingdong.lu@oracle.com> - 6-7.0.5
- Update os-release [21497664]

* Wed Jul 22 2015 Jacob Wang <jacob.wang@oracle.com> - 6-7.0.4
- Update for 6.7 GA

* Thu Jul 09 2015 Jingdong Lu <jingdong.lu@oracle.com> - 6-7.0.3
- Add Oracle Linux specific RPM macros (Avi Miller) [21388417]
- Update cpe name [21419348]

* Thu May 21 2015 Jacob Wang <jacob.wang@oracle.com> - 6-7.0.2
- Using ORACLE_SUPPORT_PRODUCT_VERSION [bug 21110293]

* Wed May 13 2015 Jingdong Lu <jingdong.lu@oracle.com> - 6-7.0.1
- Update for 6.7 Beta
- add /etc/os-release [bug 20515628] (Avi Miller)

* Wed Oct 15 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-6.0.2
- Update for 6.6 GA

* Fri Aug 22 2014 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-6.0.1
- Updated for 6.6 Beta
- Updated GPG keys

* Fri Nov 22 2013 Tianyue Lan <tianyue.lan@oracle.com> - 6-5.0.2
- Update for 6.5 GA

* Sat Oct 19 2013 Tianyue Lan <tianyue.lan@oracle.com> - 6-5.0.1
- Update for 6.5 beta
- Updated EULA and eula.en_US in tarball 

* Fri Feb 22 2013 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-4.0.4
- Update for 6.4

* Thu Jan 24 2013 Jingdong Lu <jingdong.lu@oracle.com> 6-4.0.3
- Add "redhat-release-server" as requirement instead of "redhat-release"

* Fri Dec 21 2012 Jingdong Lu <jingdong.lu@oracle.com> 6-4.0.2
- Move "redhat-release" out from "Provides" and "Obsoletes"
- Add "redhat-release" as requirement

* Wed Dec 19 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-4.0.1
- Update for 6.4 beta

* Thu Jun 21 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-3.0.2
- Update for 6.3

* Mon May 14 2012 Tianyue Lan <tianyue.lan@oracle.com> - 6-3.0.1
- Update for 6.3 Beta

* Wed Dec 07 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-2.0.2
- Update for 6.2

* Tue Oct 11 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-2.0.1
- Updates for 6.2 beta

* Mon May 23 2011 Tianyue Lan <tianyue.lan@oracle.com> - 6-1.0.2
- Bump for GA

* Sun Apr 17 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-1.0.1
- Updates for 6.1 beta

* Thu Jan 27 2011 Kevin Lyons <kevin.x.lyons@oracle.com> - 6-0.0.5
- Alter description in /var/lib/supportinfo to Oracle Linux server
  [bug 11689676]

* Wed Jan 26 2011 Srinivas Maturi <srinivas.maturi@oracle.com> - 6-0.0.4
- Remove EL4 and EL5 pubkeys from tarball

* Tue Jan 11 2011 Tianyue Lan <tianyue.lan@oracle.com> - 6-0.0.3
- Remove the definition of builtin_release_name 

* Mon Nov 08 2010 Tianyue Lan <tianyue.lan@oracle.com> - 6-0.0.2
- obsolete some release packages associated with redhat [10211998]
- provide system-release
- updated RPM-GPG-KEY

* Tue May 25 2010 Fredrick He <fredrick.he@oracle.com> - 6-0.0.1
- Initial version for OEL6

